Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.factory.objects
Class BeanObjectDescription

    java.lang.Object
      org.jfree.xml.factory.objects.AbstractObjectDescription
          org.jfree.xml.factory.objects.BeanObjectDescription

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ObjectDescription

Direct Known Subclasses:
  DecimalFormatObjectDescription, SimpleDateFormatObjectDescription

    public class BeanObjectDescription

extends AbstractObjectDescription

An object-description for a bean object. This object description is very dangerous, if the bean contains properties with undefined types.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`BeanObjectDescription(java.lang.Class className)` Creates a new object description.
`BeanObjectDescription(java.lang.Class className, boolean init)` Creates a new object description.

Method Summary
`java.lang.Object` | `createObject()` Creates an object based on this description.
`protected void` | `ignoreParameter(java.lang.String parameter)` Adds a parameter to the ignored parameters.
`protected boolean` | `isParameterIgnored(java.lang.String parameter)` Returns a flag that indicates whether or not the specified parameter is ignored.
`void` | `setParameterFromObject(java.lang.Object o)` Sets the parameters in the description to match the supplied object.

Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription
`configure, convertPrimitiveClass, equals, getConfig, getDefinedParameterNames, getInstance, getObjectClass, getParameter, getParameterDefinition, getParameterNames, getUnconfiguredInstance, hashCode, setParameter, setParameterDefinition`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanObjectDescription

    public BeanObjectDescription(java.lang.Class className)

  Creates a new object description.

  Parameters:
    `className` - the class.

### BeanObjectDescription

    public BeanObjectDescription(java.lang.Class className,
                                 boolean init)

  Creates a new object description.

  Parameters:
    `className` - the class.
    `init` - set to true, to autmaoticly initialise the object description. If set to false, the initialisation is elsewhere.

Method Detail

### createObject

    public java.lang.Object createObject()

  Creates an object based on this description.

  Returns:
    The object.

### setParameterFromObject

    public void setParameterFromObject(java.lang.Object o)
                                throws ObjectFactoryException

  Sets the parameters in the description to match the supplied object.

  Parameters:
    `o` - the object (`null` not allowed).
  Throws:
    `ObjectFactoryException` - if there is a problem.

### ignoreParameter

    protected void ignoreParameter(java.lang.String parameter)

  Adds a parameter to the ignored parameters.

  Parameters:
    `parameter` - the parameter.

### isParameterIgnored

    protected boolean isParameterIgnored(java.lang.String parameter)

  Returns a flag that indicates whether or not the specified parameter is ignored.

  Parameters:
    `parameter` - the parameter.
  Returns:
    The flag.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD